Subject: bug#47199: closed (Re: bug#47199: recent emacs can't do powerline anymore)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Apr 2021 00:31:04 +0000

Your bug report

#47199: recent emacs can't do powerline anymore

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47199: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47199
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47199: recent emacs can't do powerline anymore
From: Stefan Kangas <[email-masked]>
To: "J.P." <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 3 Apr 2021 19:30:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

"J.P." <[email-masked]> writes:

> [email-masked] writes:
>
>> there appears only a blank mode-line
>
> I think this has been fixed with
>
>   https://github.com/milkypostman/powerline/pull/185
>
> which became
>
>   commit cfff1cfe63793ea1a8bcfcae50c296558384cf08
>   Author: Theophilos Giannakopoulos <[email-masked]>
>   Date:   Tue Mar 16 21:10:53 2021 -0400
>
>       Change :scale arugment from t to 1 (#185)
>
>       * Change :scale arugment from t to 1
>
>       t is no longer accepted as :scale argument for create-image, but using 1
>       has the same behavior as before.
>
>       Fixes #184.
>
>       * Change other uses of :scale from t to 1
>
>    powerline-separators.el | 2 +-
>    powerline.el            | 2 +-
>    2 files changed, 2 insertions(+), 2 deletions(-)

No further comments within 2 weeks, so I'm assuming that this has been
fixed.  I'm therefore closing this bug report.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Subject: recent emacs can't do powerline anymore
From: [email-masked]
To: [email-masked]
Date: Tue, 16 Mar 2021 19:04:31 GMT
List-Id: <debbugs-submit.debbugs.gnu.org>

                       there appears only a blank mode-line, whereas in message buffer we read:
 
Error during redisplay: (eval (let* ((active (powerline-selected-window-active)) (mode-line-buffer-id (if active 'mode-line-buffer-id 'mode-line-buffer-id-inactive)) (mode-line (if active 'mode-line 'mode-line-inactive)) (face0 (if active 'powerline-active0 'powerline-inactive0)) (face1 (if active 'powerline-active1 'powerline-inactive1)) (face2 (if active 'powerline-active2 'powerline-inactive2)) (separator-left (intern (format "powerline-%s-%s" (powerline-current-separator) (car powerline-default-separator-dir)))) (separator-right (intern (format "powerline-%s-%s" (powerline-current-separator) (cdr powerline-default-separator-dir)))) (lhs (list (powerline-raw "%*" face0 'l) (when powerline-display-buffer-size (powerline-buffer-size face0 'l)) (when powerline-display-mule-info (powerline-raw mode-line-mule-info face0 'l)) (powerline-buffer-id `(mode-line-buffer-id ,face0) 'l) (when (and (boundp 'which-func-mode) which-func-mode) (powerline-raw which-func-format face0 'l)) (powerline-raw " " face0) (funcall separator-left face0 face1) (when (and (boundp 'erc-track-minor-mode) erc-track-minor-mode) (powerline-raw erc-modified-channels-object face1 'l)) (powerline-major-mode face1 'l) (powerline-process face1) (powerline-minor-modes face1 'l) (powerline-narrow face1 'l) (powerline-raw " " face1) (funcall separator-left face1 face2) (powerline-vc face2 'r) (when (bound-and-true-p nyan-mode) (powerline-raw (list (nyan-create)) face2 'l)))) (rhs (list (powerline-raw global-mode-string face2 'r) (funcall separator-right face2 face1) (unless window-system (powerline-raw (char-to-string 57505) face1 'l)) (powerline-raw "%4l" face1 'l) (powerline-raw ":" face1 'l) (powerline-raw "